# Generated by Django 3.2.4 on 2021-06-03 14:19

import assets.models.assets
from django.db import migrations, models


def forwards_func(apps, schema_editor):
    Manufacturer = apps.get_model("assets", "Manufacturer")
    db_alias = schema_editor.connection.alias
    for i in Manufacturer.objects.using(db_alias).all():
        i.manufactured_kind_tmp = [i.manufactured_kind]
        i.save()


def backward_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('assets', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='manufacturer',
            name='manufactured_kind_tmp',
            field=assets.models.assets.ChoiceArrayField(
                base_field=models.PositiveIntegerField(choices=[(1, 'Software'), (2, 'Hardware')]),
                default=[], size=2, verbose_name='Manufacturer Kind'),

        ),
        migrations.RunPython(forwards_func, backward_func),

        migrations.RenameField(
            model_name='manufacturer',
            old_name='manufactured_kind',
            new_name='manufactured_kind_old'
        ),
        migrations.RenameField(
            model_name='manufacturer',
            old_name='manufactured_kind_tmp',
            new_name='manufactured_kind'
        ),
        migrations.RemoveField(
            model_name='manufacturer',
            name='manufactured_kind_old',
        ),

    ]
